<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_16</title>
</head>
<body>
    <h1>Capitulo 16</h1>
    <a>Ejercicio 24</a>

    <script>

        const encontrarPares = (arr, n, sum) => {
        
            let m = {};
 
            for (let i = 0; i < n; i++) {
                let rem = sum - arr[i]; 
 
                if (m.hasOwnProperty(rem)) {
                    let count = m[rem];
 
                    for (let j = 0; j < count; j++) {
                        console-console.log("(" + rem + ", " + arr[i] + ")" );
                    }
                }
 
                if (m.hasOwnProperty(arr[i])) {
                    m[arr[i]]++;
                } else {
                    m[arr[i]] = 1;
                }
            }
        } 
 
        let arr = [1, 5, 7, -1, 5];
        let n = arr.length,
          sum = 6;
 
        encontrarPares(arr, n, sum);

</script>
    
</body>
</html>